public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/mupen64plus-video-rice/
Date: Mon, 15 Jul 2024 10:51:15 +0000 (UTC)	[thread overview]
Message-ID: <1721040668.dfe10bd136e69964f5d50a608fd06f68d59f9973.mgorny@gentoo> (raw)

commit:     dfe10bd136e69964f5d50a608fd06f68d59f9973
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 09:47:42 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 10:51:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfe10bd1

games-emulation/mupen64plus-video-rice: Bump to 2.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-emulation/mupen64plus-video-rice/Manifest    |  1 +
 .../mupen64plus-video-rice-2.6.0.ebuild            | 87 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/games-emulation/mupen64plus-video-rice/Manifest b/games-emulation/mupen64plus-video-rice/Manifest
index 98740edb2f4a..cc9b9920c99b 100644
--- a/games-emulation/mupen64plus-video-rice/Manifest
+++ b/games-emulation/mupen64plus-video-rice/Manifest
@@ -1 +1,2 @@
 DIST mupen64plus-video-rice-src-2.5.9.tar.gz 300964 BLAKE2B 652d6642b743703488465883de2fe1e83e873316f133322fce343a6c8f3be37f351a1a91bad56ee1b4568afcafee55c1cb3cd6679159e24c552df63174751376 SHA512 98be11217024408e7c61120e7eb3cf83d6c9f666a029c7d0e85790c885c99e795336a8fa4f5029e546eba8cc139c6a5e84dd6c2ae5c60784a90c27ce58cd0603
+DIST mupen64plus-video-rice-src-2.6.0.tar.gz 303629 BLAKE2B c418fee926ae38ee6e98eb45a0290f1ed724883327cc15d3b08f1540bfa6ae6e371cd5fd47df8eea4c0c8d0ccb16ba34cd9f240c37dc66899e2d1992114054a8 SHA512 a0a5c37cedbd493ede3bc715fe8251a8055b93119eeae89034c970bbb24e2d175d0bbf9640341ec20cfe9566fd4abd60fae6931a68cce8aa34eb8f9e278c94fb

diff --git a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-2.6.0.ebuild b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-2.6.0.ebuild
new file mode 100644
index 000000000000..1ed2d4307bdb
--- /dev/null
+++ b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-2.6.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P=${PN}-src-${PV}
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator, rice video plugin"
+HOMEPAGE="https://www.mupen64plus.org/"
+SRC_URI="https://github.com/mupen64plus/${PN}/releases/download/${PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gles2-only cpu_flags_x86_sse"
+
+DEPEND="
+	>=games-emulation/mupen64plus-core-2.5:0=[gles2-only=]
+	media-libs/libpng:0=
+	media-libs/libsdl2:0=[video]
+	virtual/opengl:0=
+	gles2-only? ( media-libs/libsdl2:0[gles2] )
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	# avoid implicitly appending CPU flags
+	sed -i -e 's:-mmmx::g' -e 's:-msse::g' projects/unix/Makefile || die
+}
+
+src_compile() {
+	MAKEARGS=(
+		# Note: please keep this in sync in all of mupen64plus-* packages
+
+		-C projects/unix
+
+		# this basically means: GNU userspace
+		UNAME=Linux
+
+		# verbose output
+		V=1
+
+		CROSS_COMPILE="${CHOST}-"
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		PKG_CONFIG="$(tc-getPKG_CONFIG)"
+		# usual CFLAGS, CXXFLAGS and LDFLAGS are respected
+		# so we can leave OPTFLAGS empty
+		OPTFLAGS=
+
+		# paths, some of them are used at compile time
+		PREFIX=/usr
+		LIBDIR=/usr/$(get_libdir)
+
+		# disable unwanted magic
+		LDCONFIG=:
+		INSTALL_STRIP_FLAG=
+
+		# Package-specific stuff
+
+		# CROSS_COMPILE causes it to look for ${CHOST}-sdl2-config...
+		SDL_CFLAGS="$($(tc-getPKG_CONFIG) --cflags sdl2)"
+		SDL_LDLIBS="$($(tc-getPKG_CONFIG) --libs sdl2)"
+
+		NO_ASM=$(usex cpu_flags_x86_sse 0 1)
+		USE_GLES=$(usex gles2-only 1 0)
+	)
+
+	use amd64 && MAKEARGS+=( HOST_CPU=x86_64 )
+	use x86 && MAKEARGS+=( HOST_CPU=i386 )
+
+	emake "${MAKEARGS[@]}" all
+}
+
+src_install() {
+	emake "${MAKEARGS[@]}" DESTDIR="${D}" install
+	dodoc README RELEASE
+}


             reply	other threads:[~2024-07-15 10:51 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-15 10:51 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-04-05 21:34 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mupen64plus-video-rice/ James Le Cuirot
2020-04-03 14:57 Andreas Sturmlechner
2019-09-28  5:35 Michał Górny
2019-09-15  9:51 Michał Górny
2019-09-15  9:51 Michał Górny
2019-09-15  9:51 Michał Górny
2016-06-11 20:39 Pacho Ramos
2015-09-01 19:43 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1721040668.dfe10bd136e69964f5d50a608fd06f68d59f9973.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox